
import java.math.BigInteger;
import java.io.Serializable;

/**
 * Created by IntelliJ IDEA.
 * User: Johnson Gong
 * Date: 2006-3-10
 * Time: 16:59:47
 * To change this template use File | Settings | File Templates.
 */
public class UserKeyPair_RD implements Serializable {
    String username;
    BigInteger N;
    BigInteger a;

    public UserKeyPair_RD(BigInteger a, BigInteger n, String username) {
        this.a = a;
        N = n;
        this.username = username;
    }
    public String getUsername()
    {
        return username;
    }
    public BigInteger[] getPublicKey(){
        BigInteger [] result = new BigInteger[2];
        result[0] = N;
        result[1] = a;
        return result;
    }
}
